
QGIS Application - Bug report #6511

Error when creating new Spatialite tables in DB Manager

2012-10-14 03:37 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Giovanni Manghi

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 15728

Description

tested on qgis 1.8 on Windows.

When I try to create a new SL table I get

near "n": syntax error

message.

It results that when adding varchar fields it uses a "varchar (n)" field type.

If the "(n)" is removed then it works fine.

I didn't tested with PostGIS.

Associated revisions

Revision a4484b21 - 2012-11-28 06:36 PM - Giuseppe Sucameli

dbmanager: fix #6511

History

#1 - 2012-11-28 09:28 AM - Giuseppe Sucameli

I agree that a new item varchar without limit should be added

The one with N as limit could be kept but replacing the N with a valid default value (e.g. 255) so the user can change it with a more appropriate value if

needed.

#2 - 2012-11-28 09:37 AM - Giuseppe Sucameli

- Status changed from Open to Closed

Fixed in changeset commit:"a4484b217eda390f8c52592f2d57d1d1907e5694".

#3 - 2012-11-28 09:46 AM - Giuseppe Sucameli

- Resolution set to fixed
